#
# spec file for package perl-Data-ShowTable (Version 3.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Data-ShowTable
Copyright:    GPL
Group:        Development/Libraries/Perl
Provides:     Data-ShowTable
Autoreqprov:  on
Summary:      Perl module to pretty-print data arrays
Version:      3.3
Release:      117
Source: http://www.cpan.org/modules/by-module/Data/Data-ShowTable-%{version}.tar.gz
Patch:  Data-ShowTable-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
ShowTable.pm, is a Perl 5 module which defines subroutines to print arrays of
data in a nicely formatted listing, using one of four possible formats: simple
table, boxed table, list style, and HTML-formatting.

Authors:
--------
    Alan K. Stebbens <aks@sgi.com>

SuSE series: perl

%prep
%setup -n Data-ShowTable-%{version}
%patch

%build
perl Makefile.PL
make
if test $ABUILD_RUN_TEST_SUITES = true ; then
	make test
fi

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Data-ShowTable
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Data/ShowTable
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%doc Changes Copyright README
%doc %{_mandir}/man1/showtable.1.gz
%doc %{_mandir}/man3/Data::ShowTable.3pm.gz
/usr/bin/showtable
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Data/ShowTable
/usr/lib/perl5/site_perl/5.*/Data/ShowTable.pm
/var/adm/perl-modules/perl-Data-ShowTable

%changelog -n perl-Data-ShowTable
* Wed Nov 08 2000 - ro@suse.de
- added BUILD_ROOT_DIR
* Tue Nov 07 2000 - grimmer@suse.de
- removed BuildRoot Path from .packlist using sed
* Mon Nov 06 2000 - grimmer@suse.de
- Initial Package (splitted from package mysql, where it
  was part of subpackage mysqperl), Version 3.3
